#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=sparc
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-sparc -cpu "Fujitsu MB86907" -nographic -no-reboot -kernel image -hda hda.sqf -append "root=/dev/sda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttyS0 HOST=sparc $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
